GuideLab API

Delete Remake Reason

Soft-delete a remake reason by marking it as inactive. The reason remains in the database for historical reference.

DELETE
/remake-reasons/{id}

Soft-delete a remake reason by marking it as inactive. The reason remains in the database for historical reference.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Remake reason ID

Response Body

application/json

curl -X DELETE "https://example.com/remake-reasons/550e8400-e29b-41d4-a716-446655440000"
{  "reason": {    "id": "string",    "labId": "string",    "name": "string",    "discountPercent": 0,    "sortOrder": 0,    "isActive": true,    "createdAt": "string",    "updatedAt": "string"  }}
Empty
Empty